Xfce Foundation Classes
Main Page | Index | Namespace List | Alphabetical List | Class List | File List

# Xfc::Gdk::EventProperty Class Reference

A GdkEventProperty C++ wrapper class. More...

`#include <xfc/gdk/events.hh>`

Inheritance diagram for Xfc::Gdk::EventProperty:

List of all members.

## Public Member Functions

Accessors

- GdkEventProperty * gdk_event_property () const
    Get a pointer to the GdkEventProperty structure.
- unsigned int time () const
    Returns the time of the event in milliseconds.
- PropertyState state () const
    Returns whether the property was changed (PROPERTY_NEW_VALUE) or deleted (PROPERTY_DELETE).

## Detailed Description

A GdkEventProperty C++ wrapper class.

An EventProperty describes a property change on a window.

The event type is PROPERTY_NOTIFY.

The documentation for this class was generated from the following file:

- events.hh

Xfce Foundation Classes

Copyright © 2004-2005 The XFC Development Team | XFC 4.3